<script>
  import AddEmployeeView from "./AddEmployeeView.svelte";
  import DeleteEmployeeView from "./DeleteEmployeeView.svelte";
  import EmployeeTreeView from "./EmployeeTreeView.svelte";
  import EmployeeListView from "./EmployeeListView.svelte";
  import TransferEmployeeView from "./TransferEmployeeView.svelte";
  import TeamView from "./TeamView.svelte";

  let currentView = "list";
</script>

<style>
  nav {
    display: flex;
    justify-content: space-around;
    margin-bottom: 1rem;
  }
</style>

<nav>
  <button on:click={() => (currentView = "list")}>Telefonverzeichnis</button>
  <button on:click={() => (currentView = "tree")}>Organigramm</button>
  <button on:click={() => (currentView = "add")}>Neu</button>
  <button on:click={() => (currentView = "delete")}>Entlassung</button>
  <button on:click={() => (currentView = "transfer")}>Versetzung</button>
  <button on:click={() => (currentView = "teams")}>Team-Übersicht</button>
</nav>

{#if currentView === "tree"}
  <EmployeeTreeView />
{:else if currentView === "list"}
  <EmployeeListView />
{:else if currentView === "teams"}
  <TeamView />
{:else if currentView === "add"}
  <AddEmployeeView />
{:else if currentView === "delete"}
  <DeleteEmployeeView />
{:else if currentView === "transfer"}
  <TransferEmployeeView />  
{:else}
  <EmployeeListView />
{/if}

